
using UnityEngine;

namespace Mod
{
    public class Deathnotepower : MonoBehaviour
    {
         public bool Activated = false;
      bool IsUsable = true;

AudioClip Repulsor = ModAPI.LoadSound("Sound/Eatrug.mp3");
        private GameObject hand;

        private GameObject handGlow;

        public void Awake()
        {
            hand = gameObject;

            BoxCollider2D bc;
            bc = gameObject.AddComponent<BoxCollider2D>() as BoxCollider2D;
            bc.size = new Vector2(0.5f, 0.5f);
            bc.isTrigger = true;
            bc.transform.parent = handGlow.transform;



            handGlow = new GameObject();
            handGlow.transform.parent = hand.transform;
            handGlow.transform.localPosition = new Vector3(0f, -0.09f);
            handGlow.transform.localScale = gameObject.transform.parent.localScale;

            var handSprite = handGlow.AddComponent<SpriteRenderer>();

            handSprite.sprite = ModAPI.LoadSprite("");
            handSprite.material = ModAPI.FindMaterial("Sprites-Default");
            handSprite.color = new Color(1f, 1f, 1f, 0f);
            handSprite.sortingLayerName = "Bottom";


        }



        public void OnTriggerStay2D(Collider2D other)
        {
          if (Activated)

            {
              Destroy(other.gameObject);
             foreach (LimbBehaviour limb in other.gameObject.transform.parent.GetComponent<PersonBehaviour>().Limbs) {
      limb.gameObject.GetComponent<LimbBehaviour>().CirculationBehaviour.IsPump = false;
                      };
          }             
        }


        public void FixedUpdate()
        {

            if(hand.GetComponent<Rigidbody2D>().velocity.magnitude >= 0f)

            {

                handGlow.GetComponent<SpriteRenderer>().color = new Color(1f, 1f, 1f, Mathf.Clamp(gameObject.GetComponent<Rigidbody2D>().velocity.magnitude / 1f, 1f, 1f));
            }
            else
            {

                handGlow.GetComponent<SpriteRenderer>().color = new Color(1f, 1f, 1f, 0f);
            }
        }

   private void Use()
        {
            SetActivated(!Activated);
        }

        private void SetActivated(bool a)
        {
        Activated = a;
         }

    }
}

// Originally uploaded by 'Kaioh'. Do not reupload without their explicit permission.
