﻿using UnityEngine;

namespace Mod
{
    public class Tensaihealing : MonoBehaviour
    {

        private GameObject hand;

        private GameObject handGlow;

        public void Awake()
        {
            hand = gameObject;

            handGlow = new GameObject();
            handGlow.transform.parent = hand.transform;
            handGlow.transform.localPosition = new Vector3(0f, 0f);
            handGlow.transform.localScale = gameObject.transform.parent.localScale;

            var handSprite = handGlow.AddComponent<SpriteRenderer>();

            handSprite.sprite = ModAPI.LoadSprite("");
            handSprite.material = ModAPI.FindMaterial("VeryBright");

            handSprite.sortingLayerName = "Top";
        }

        public void OnCollisionEnter2D(Collision2D other)
        {
            var rb = hand.GetComponent<Rigidbody2D>();
            if(rb.velocity.magnitude >= 10f)
            {
                other.gameObject.GetComponent<Rigidbody2D>().velocity = rb.velocity * 0;
                var particle = ModAPI.CreateParticleEffect("Vapor", new Vector2(hand.transform.position.x, hand.transform.position.y + 0.1f));
                var Colder = particle.GetComponent<ParticleSystem>().main;
                Colder.startColor = Color.blue;
                other.gameObject.GetComponent<LimbBehaviour>().CirculationBehaviour.AddLiquid(Liquid.GetLiquid("LIFE SERUM"), 1);
                var effect = ModAPI.CreateParticleEffect("Flash", new Vector2(gameObject.transform.position.x, gameObject.transform.position.y));
                var main = effect.GetComponent<ParticleSystem>().main;main.startColor = new Color(0/255f, 0/255f, 255/255f);
          
                var dr = other.gameObject.GetComponent<LimbBehaviour>();


                if (hand.GetComponent<Rigidbody2D>().velocity.magnitude >= 2f)
                {

                }

            }
            else
            {
                other.gameObject.GetComponent<Rigidbody2D>().velocity = rb.velocity * 0;
                other.gameObject.SendMessage("Nullificator", SendMessageOptions.DontRequireReceiver);
            }
        }

        public void FixedUpdate()
        {
            if(hand.GetComponent<Rigidbody2D>().velocity.magnitude >= 5f)
            {
                handGlow.GetComponent<SpriteRenderer>().color = new Color(0f, 0f, 0f, Mathf.Clamp(gameObject.GetComponent<Rigidbody2D>().velocity.magnitude / 250f, 0f, 1f));
            }
            else
            {
                handGlow.GetComponent<SpriteRenderer>().color = new Color(0f, 0f, 0f, 1f);
            }
        }
    }
}

// Originally uploaded by 'Kaioh'. Do not reupload without their explicit permission.
