using UnityEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;

namespace Mod
{
    public class mosquietopower : MonoBehaviour
    {


        private GameObject hand;

        private GameObject handGlow;

        public void Awake()
        {
            hand = gameObject;

            handGlow = new GameObject();
            handGlow.transform.parent = hand.transform;
            handGlow.transform.localPosition = new Vector3(0f, -0.09f);
            handGlow.transform.localScale = gameObject.transform.parent.localScale;

            var handSprite = handGlow.AddComponent<SpriteRenderer>();

            handSprite.sprite = ModAPI.LoadSprite("");
            handSprite.material = ModAPI.FindMaterial("VeryBright");
            handSprite.color = new Color(051f, 255f, 255f, 0.001f);
            handSprite.sortingLayerName = "Decals";

        }

        public void OnCollisionEnter2D(Collision2D other)
        {
            var rb = hand.GetComponent<Rigidbody2D>();

            {
              other.gameObject.GetComponent<LimbBehaviour>().SkinMaterialHandler.ShotDamage(100f, transform.position, true);
              other.gameObject.GetComponent<LimbBehaviour>().CirculationBehaviour.Cut(transform.position, UnityEngine.Random.insideUnitCircle);
              other.gameObject.GetComponent<LimbBehaviour>().CirculationBehaviour.BleedingRate += 44f;

            }

        }

        public void FixedUpdate()
        {

            if(hand.GetComponent<Rigidbody2D>().velocity.magnitude >= 0f)

            {

                handGlow.GetComponent<SpriteRenderer>().color = new Color(0f, 255f, 255f, Mathf.Clamp(gameObject.GetComponent<Rigidbody2D>().velocity.magnitude / 0.0099f, 0.0099f, 0.0099f));
            }
            else
            {

                handGlow.GetComponent<SpriteRenderer>().color = new Color(0f, 255f, 255f, 0f);
            }
        }


    }
}

// Originally uploaded by 'Kaioh'. Do not reupload without their explicit permission.
