using UnityEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;

namespace Mod
{
    public class Guillotinepower : MonoBehaviour
    {

        private GameObject hand;

        private GameObject handGlow;

        public void Awake()
        {
            hand = gameObject;
            handGlow = new GameObject();
            handGlow.transform.parent = hand.transform;
            handGlow.transform.localPosition = new Vector3(0f, 0f);
            handGlow.transform.localScale = gameObject.transform.parent.localScale;

        }

        public void OnCollisionEnter2D(Collision2D other)
        {
            var rb = hand.GetComponent<Rigidbody2D>();
            {
              other.gameObject.GetComponent<LimbBehaviour>().BreakingThreshold = 0f;
             var effect = ModAPI.CreateParticleEffect("Vapor", new Vector2(this.transform.position.x, this.transform.position.y));
              var main = effect.GetComponent<ParticleSystem>().main;main.startColor = new Color(255/255f, 84/255f, 0/255f);
            
             
            

            }

        }

        public void FixedUpdate()
        {
            if(hand.GetComponent<Rigidbody2D>().velocity.magnitude >= 0f)

            {
                handGlow.GetComponent<SpriteRenderer>().color = new Color(0f, 255f, 0f, Mathf.Clamp(gameObject.GetComponent<Rigidbody2D>().velocity.magnitude / 0.05f, 0.05f, 0.05f));
            }

            else
            {

                handGlow.GetComponent<SpriteRenderer>().color = new Color(0f, 255f, 0f, 0f);
            }
        }


    }
}

// Originally uploaded by 'Kaioh'. Do not reupload without their explicit permission.
