using System;


public class Tesaipower : PoisonSpreadBehaviour
{
	public override void Start()
	{
		this.Limb.Health = this.Limb.InitialHealth;
		this.Limb.Numbness = 0f;
		if (this.FillBlood)
		{
			this.Limb.CirculationBehaviour.AddLiquid(this.Limb.GetOriginalBloodType(), 0f);
			this.Limb.CirculationBehaviour.BloodFlow = 0f;
		}
		this.Limb.CirculationBehaviour.HealBleeding();
		this.Limb.HealBone();
		this.Limb.CirculationBehaviour.BleedingRate = 0f;
		this.Limb.CirculationBehaviour.IsPump = this.Limb.CirculationBehaviour.WasInitiallyPumping;
		if (this.Limb.RoughClassification == LimbBehaviour.BodyPart.Head)
		{
			this.Limb.Person.Consciousness = 1f;
			this.Limb.Person.ShockLevel = 0f;
			this.Limb.Person.PainLevel = 0f;
			this.Limb.ImmuneToDamage = true;
			this.Limb.SkinMaterialHandler.ClearAllDamage();
			this.Limb.RegenerationSpeed = float.PositiveInfinity;
			this.Limb.CirculationBehaviour.ImmuneToDamage = true;
			this.Limb.Person.OxygenLevel =1f;
			this.Limb.Person.AdrenalineLevel = 0f;
			this.Limb.Health = this.Limb.InitialHealth;

		}
	}



	// Token: 0x170000C2 RID: 194
	// (get) Token: 0x06000AEB RID: 2795 RVA: 0x00037EC4 File Offset: 0x000360C4
	public override float SpreadSpeed
	{
		get
		{
			return 500f;
		}
	}

	// Token: 0x040009C5 RID: 2501
	public bool FillBlood = false;
	public Tesaipower()
	{
	}
}

// Originally uploaded by 'Kaioh'. Do not reupload without their explicit permission.
